org.apache.xmlbeans

## Interface XmlSaxHandler

    public interface XmlSaxHandler

A holder for a SAX `ContentHandler` and `LexicalHandler` that are capable of loading an `XmlObject` instance. Once all the SAX events are pushed to the handlers, call `getObject()` to get the loaded XmlObject.

See Also:
  `XmlObjectFactory.newXmlSaxHandler()`, `SchemaTypeLoader.newXmlSaxHandler(org.apache.xmlbeans.SchemaType, org.apache.xmlbeans.XmlOptions)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `bookmarkLastAttr(QName attrName, XmlCursor.XmlBookmark mark)` Insert a bookmark before the attr token associated with the last SAX element event.
`void` `bookmarkLastEvent(XmlCursor.XmlBookmark mark)` Insert a bookmark before the token associated with the last SAX event.
`ContentHandler` `getContentHandler()` The ContentHandler expecting SAX content events.
`LexicalHandler` `getLexicalHandler()` The LexicalHandler expecting SAX lexical events.
`XmlObject` `getObject()` Returns the loaded XmlObject after all the SAX events have been finished

### Method Detail

#### getContentHandler

    ContentHandler getContentHandler()

The ContentHandler expecting SAX content events.

See Also:
  `ContentHandler`

#### getLexicalHandler

    LexicalHandler getLexicalHandler()

The LexicalHandler expecting SAX lexical events.

See Also:
  `LexicalHandler`

#### bookmarkLastEvent

    void bookmarkLastEvent(XmlCursor.XmlBookmark mark)

Insert a bookmark before the token associated with the last SAX event.

#### bookmarkLastAttr

    void bookmarkLastAttr(QName attrName,
                          XmlCursor.XmlBookmark mark)

Insert a bookmark before the attr token associated with the last SAX element event.

#### getObject

    XmlObject getObject()
                 throws XmlException

Returns the loaded XmlObject after all the SAX events have been finished

Throws:
  `XmlException`